Support for the Ruby 2.1 series ended on March 31 2017. See here for details.

In Files

  • rss/image.rb

Included Modules

Class/Module Index [+]

Quicksearch

RSS::ImageItemModel

Public Class Methods

append_features(klass) click to toggle source
 
               # File rss/image.rb, line 37
def self.append_features(klass)
  super

  klass.install_have_child_element("item", IMAGE_URI, "?",
                                   "#{IMAGE_PREFIX}_item")
  klass.install_must_call_validator(IMAGE_PREFIX, IMAGE_URI)
end